Class
SeedSet
Handles a set of seeds with local chaining on adding seeds.
SeedSet<TSeedSpec>
Include Headers
seqan/seeds.h
Parameters

TSeedSpec | Specialization of the underlying seed to use.

Metafunctions

GetValue | Type for reading values.
Iterator | Type of iterator objects that are used to traverse the container.
Position | Type of an object that represents a position in a container.
Reference | Reference type.
Size | Type of an object that is suitable to hold size information.
Value | Type of the items in the container or behind an iterator.

Functions

addSeed | Adds a seed to an existing SeedSet using different algorithms for local chaining.
back | The last item in container.
begin | The begin of a container.
clear | Resets an object.
end | The end of a container.
front | The first item in container.
length | The number of items/characters.
minScore | Returns the threshold to distinguish between high-scoring and low-scoring seeds.
setMinScore | Sets the threshold at which seeds are considered high-scoring.

See Also
Local Chaining
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56